FIL
Date: 2019-10-22

org.jmol.c

## Enum FIL

- java.lang.Object
- - java.lang.Enum<FIL>
  - - org.jmol.c.FIL

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FIL>

      public enum FIL
      extends java.lang.Enum<FIL>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CREATED`
    `CREATING_MODELSET`
    `DELETED`
    `NOT_LOADED`
    `ZAPPED`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `code`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `static FIL` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FIL[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DELETED

          public static final FIL DELETED

    - #### CREATED

          public static final FIL CREATED

    - #### CREATING_MODELSET

          public static final FIL CREATING_MODELSET

    - #### ZAPPED

          public static final FIL ZAPPED

    - #### NOT_LOADED

          public static final FIL NOT_LOADED

  - ### Field Detail

    - #### code

          private int code

  - ### Method Detail

    - #### values

          public static FIL[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FIL c : FIL.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FIL valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()